ALSA project - the C library reference

Functions
pcm_share.c File Reference

PCM Share Plugin Interface. More...

## Functions
int | snd_pcm_share_open (snd_pcm_t **pcmp, const char *name, const char *sname, snd_pcm_format_t sformat, int srate, unsigned int schannels, int speriod_time, int sbuffer_time, unsigned int channels, unsigned int *channels_map, snd_pcm_stream_t stream, int mode)
| Creates a new Share PCM. More...
int | _snd_pcm_share_open (snd_pcm_t **pcmp, const char *name, snd_config_t *root, snd_config_t *conf, snd_pcm_stream_t stream, int mode)
| Creates a new Share PCM. More...

## Detailed Description

PCM Share Plugin Interface.

Author
  Abramo Bagnara abram.nosp@m.o@al.nosp@m.sa-pr.nosp@m.ojec.nosp@m.t.org

Date
  2000-2001

## Function Documentation

## ◆ _snd_pcm_share_open()

int _snd_pcm_share_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_config_t * | root,
|  | snd_config_t * | conf,
|  | snd_pcm_stream_t | stream,
|  | int | mode
| ) |  |

Creates a new Share PCM.

Parameters

  pcmp | Returns created PCM handle
  name | Name of PCM
  root | Root configuration node
  conf | Configuration node with Share PCM description
  stream | Stream type
  mode | Stream mode

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

## ◆ snd_pcm_share_open()

int snd_pcm_share_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | const char * | sname,
|  | snd_pcm_format_t | sformat,
|  | int | srate,
|  | unsigned int | schannels,
|  | int | speriod_time,
|  | int | sbuffer_time,
|  | unsigned int | channels,
|  | unsigned int * | channels_map,
|  | snd_pcm_stream_t | stream,
|  | int | mode
| ) |  |

Creates a new Share PCM.

Parameters

  pcmp | Returns created PCM handle
  name | Name of PCM
  sname | Slave name
  sformat | Slave format
  srate | Slave rate
  schannels | Slave channels
  speriod_time | Slave period time
  sbuffer_time | Slave buffer time
  channels | Count of channels
  channels_map | Map of channels
  stream | Direction
  mode | PCM mode

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.